
Ruby - Bug #16472

OStruct documentation is lost

01/02/2020 02:41 PM - zverok (Victor Shepelev)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport: 2.5: UNKNOWN, 2.6: UNKNOWN

Description

After this commit: https://github.com/ruby/ruby/commit/9be3295d53b6fd9f8a3ad8157aa0655b1976d8ac -- RDoc loses

documentation attahed to OpenStruct class, see https://docs.ruby-lang.org/en/master/OpenStruct.html, which currently looks this

way:

class OpenStruct

<here shoud be explanations>

Public Class Methods

 require should be put above docs.

I'd provide PR myself, but I kinda lost between core repository and https://github.com/ruby/ostruct (which seems outdated)?..

History

#1 - 01/02/2020 07:06 PM - marcandre (Marc-Andre Lafortune)

You're welcome to provide a PR on the core repo.

I will update ruby/ostruct

#2 - 01/02/2020 10:05 PM - zverok (Victor Shepelev)

@marcandre (Marc-Andre Lafortune), got it, thanks. https://github.com/ruby/ruby/pull/2810

#3 - 01/07/2020 10:04 AM - znz (Kazuhiro NISHIYAMA)

- Status changed from Open to Closed

Powered by TCPDF (www.tcpdf.org)

05/26/2025 1/1

https://github.com/ruby/ruby/commit/9be3295d53b6fd9f8a3ad8157aa0655b1976d8ac
https://docs.ruby-lang.org/en/master/OpenStruct.html
https://github.com/ruby/ostruct
https://redmine.ruby-lang.org/users/182
https://github.com/ruby/ruby/pull/2810
http://www.tcpdf.org

